## org.gnu.atk
Class ObjectFactory

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.atk.ObjectFactory

public class ObjectFactory
extends GObject

Constructor Summary
`ObjectFactory(org.gnu.glib.Handle handle)`

Method Summary
`AtkObject` `createAccessible(GObject object)`
`Type` `getAccessibleType()`
`void` `invalidate()`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory(org.gnu.glib.Handle handle)

Method Detail

### createAccessible

    public AtkObject createAccessible(GObject object)

### invalidate

    public void invalidate()

### getAccessibleType

    public Type getAccessibleType()